Bug 646177 (CVE-2010-3494) - CVE-2010-3494 pyftpdlib: Race condition in the FTPHandler class in ftpserver.py
Summary: CVE-2010-3494 pyftpdlib: Race condition in the FTPHandler class in ftpserver.py
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3494
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 646178
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-24 19:41 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:31:45 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-10-24 19:41:31 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3494 to
the following vulnerability:

Race condition in the FTPHandler class in ftpserver.py in pyftpdlib
before 0.5.2 allows remote attackers to cause a denial of service
(daemon outage) by establishing and then immediately closing a TCP
connection, leading to the accept function having an unexpected value
of None for the address, or an ECONNABORTED, EAGAIN, or EWOULDBLOCK
error, a related issue to CVE-2010-3492.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3494
[2] http://www.openwall.com/lists/oss-security/2010/09/09/6
[3] http://www.openwall.com/lists/oss-security/2010/09/11/2
[4] http://www.openwall.com/lists/oss-security/2010/09/22/3
[5] http://www.openwall.com/lists/oss-security/2010/09/24/3
[6] http://bugs.python.org/issue6706
[7] https://bugs.launchpad.net/zodb/+bug/135108
[8] http://code.google.com/p/pyftpdlib/issues/detail?id=104
[9] http://code.google.com/p/pyftpdlib/issues/detail?id=105
[10] http://code.google.com/p/pyftpdlib/source/browse/trunk/HISTORY
[11] http://code.google.com/p/pyftpdlib/source/detail?r=556
[12] http://code.google.com/p/pyftpdlib/source/diff?spec=svn556&r=556&format=side&path=/trunk/pyftpdlib/ftpserver.py

Affected versions:
This issue affects the version of the pyftpdlib package, as shipped
with Fedora release of 12.

This issue does NOT affect the version of the pyftpdlib package, as
shipped with Fedora release of 13 (relevant code part is already
updated).

Comment 1 Jan Lieskovsky 2010-10-24 19:44:42 UTC
Created pyftpdlib tracking bugs for this issue

Affects: fedora-12 [bug 646178]


Note You need to log in before you can comment on or make changes to this bug.